<template>
    <Page>
        <StackLayout v-if="position">
            <Label :text="position.x" textWrap="true" />
            <Label :text="position.y" textWrap="true" />
            <Label :text="position.z" textWrap="true" />
            <!-- <AbsoluteLayout> -->
              <!-- <Label text="" top="0"  :right="position.y * 100" :bottom="position.z * 100" :left="position.x * 100" /> -->
            <!-- </AbsoluteLayout> -->
        </StackLayout>
    </Page>
</template>

<script>
import * as accelerometer from "nativescript-accelerometer";

export default {
    data() {
        return {
            position: null
        }
    },
    mounted() {
        accelerometer.startAccelerometerUpdates(data => {
            this.position = data;
            // console.log("x: " + data.x + "y: " + data.y + "z: " + data.z);
        }, { sensorDelay: "normal" });
    },
    methods: {
        goBack() {
            this.$navigateBack();
        },
    },
    destroy() {
        accelerometer.stopAccelerometerUpdates();
    }
}
</script>

<style>
</style>
